%define upstream_name    Module-Install-GithubMeta
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A Module::Install extension to include GitHub meta information in META.yml
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Install)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Module::Install::GithubMeta is a the Module::Install manpage extension to
include GitHub the http://github.com manpage meta information in
'META.yml'.

It automatically detects if the distribution directory is under 'git'
version control and whether the 'origin' is a GitHub repository and will
set the 'repository' and 'homepage' meta in 'META.yml' to the appropriate
URLs for GitHub.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Mon Jan 30 2012 shlomif <shlomif> 0.160.0-1.mga2
+ Revision: 203490
- imported package perl-Module-Install-GithubMeta


* Sat Jan 21 2012 cpan2dist 0.16-1mga
- initial mageia release, generated with cpan2dist
